package com.goldenwater.slgc.service.impl;

import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttDikeBase;
import com.goldenwater.slgc.mapper.AttDikeBaseMapper;
import com.goldenwater.slgc.service.DikeService;

/** 堤防信息 业务实现 */
@Service
public class DikeServiceImpl implements DikeService {
    @Autowired
    private AttDikeBaseMapper attDikeBaseMapper;

    @Override
    public List<AttDikeBase> selectAttDikeBaseList(AttDikeBase attDikeBase) {
        return attDikeBaseMapper.selectAttDikeBaseList(attDikeBase);
    }

    @Override
    public AttDikeBase selectAttDikeBaseById(String dikeCode) {
        return attDikeBaseMapper.selectAttDikeBaseById(dikeCode);
    }

    @Override
    public int deleteAttDikeBaseByIds(String[] dikeCodes) {
        return attDikeBaseMapper.deleteAttDikeBaseByIds(dikeCodes);
    }

    @Override
    public int insertAttDikeBase(AttDikeBase attDikeBase) {
        return attDikeBaseMapper.insertAttDikeBase(attDikeBase);
    }

    @Override
    public int updateAttDikeBase(AttDikeBase attDikeBase) {
        return attDikeBaseMapper.updateAttDikeBase(attDikeBase);
    }

    @Override
    public List<Map<String, Object>> countType() {
        return attDikeBaseMapper.countType();
    }
}
